> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.fortresstech.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.fortresstech.io/_mcp/server.

# Create Document

POST https://api.fortresstech.io/v1/households/{householdId}/documents
Content-Type: multipart/form-data

Available by RequestCreates a document for a specific householdThis endpoint is part of our evolving API ecosystem.
To explore availability for your integration, please contact our team.

Reference: https://developer.fortresstech.io/api-reference/households/create-document

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `householdId` (string, required) — The id of the household

### Body (multipart/form-data)

This endpoint expects a multipart form containing a file.

- `file` (file, required) — The file to upload (max 5MB). Supported formats - image/jpeg, image/png, image/gif, application/pdf
- `idempotencyId` (string, required) — Unique identifier to ensure idempotent operations
- `createdById` (string, required) — The ID of the user who created the attachment
- `name` (string, optional) — The name of the document. If not provided, the filename will be used
- `documentType` (enum, optional) — The type of document being uploaded

## Response

### 200

The created document

- `url` (string, required)
- `id` (string, required)
- `householdId` (string, required)
- `propertyId` (string, required)
- `name` (string, optional)
- `type` (string, optional)
- `mimeType` (string, optional)
- `notes` (string, optional)
- `isReviewed` (boolean, optional, default: false) — Indicates if the document has been reviewed by compliance
- `readableId` (string, optional)
- `idempotencyId` (string, optional)
- `createdAt` (datetime, optional)
- `updatedAt` (datetime, optional)
- `deletedAt` (datetime, optional)
- `organizationId` (string, optional)
- `createdByUserId` (string, optional)
- `household` (households_components-schemas-Base, optional)
- `property` (properties_components-schemas-Base, optional)

## Types

### households_components-schemas-Base

- `status` (enum, optional)
  - Allowed values: `APPLICANT`, `RESIDENT`, `PRIOR`
- `isUnderEviction` (boolean, optional)
- `id` (string, optional)
- `readableId` (string, optional)
- `idempotencyId` (string, optional)
- `createdAt` (datetime, optional)
- `updatedAt` (datetime, optional)
- `deletedAt` (datetime, optional)
- `currentUnitId` (string, optional) — Current unit the household is associated with. Set only when the lease is active
- `currentLeaseId` (string, optional) — Current active lease for the household.
- `applicationId` (string, optional)
- `organizationId` (string, optional)
- `propertyId` (string, optional)
- `currentCertificationId` (string, optional)
- `prospectId` (string, optional)
- `primaryCustomerId` (string, optional)
- `totalActiveRentAmount` (double, optional) — Sum of all active RENT monthly lease transactions for the household
- `totalActiveSubsidyAmount` (double, optional) — Sum of all active SUBRENT monthly lease transactions for the household
- `totalActiveFeesAmount` (double, optional) — Sum of all active non-optional fee (charge) monthly lease transactions for the household
- `unitId` (string, optional, deprecated) — Deprecated, use currentUnitId instead

### properties_components-schemas-Base

- `name` (string, optional)
- `shortName` (string, optional)
- `email` (string, optional)
- `phone` (string, optional)
- `physicalStreetAddress1` (string, optional)
- `physicalStreetAddress2` (string, optional)
- `physicalCity` (string, optional)
- `physicalState` (string, optional)
- `physicalZip` (string, optional)
- `physicalCountry` (string, optional)
- `mailingStreetAddress1` (string, optional)
- `mailingStreetAddress2` (string, optional)
- `mailingCity` (string, optional)
- `mailingState` (string, optional)
- `mailingZip` (string, optional)
- `mailingCountry` (string, optional)
- `phoneNumber` (string, optional)
- `faxNumber` (string, optional)
- `timezone` (string, optional)
- `longitude` (double, optional)
- `latitude` (double, optional)
- `turnMoveOutDays` (integer, optional) — Number of days after move-out to calculate make ready date
- `status` (enum, optional, nullable) — Property lifecycle status. Fortress aggregates occupancy only for ACTIVE properties.
  - Allowed values: `ACTIVE`, `INACTIVE`, `PENDING`
- `propertyClass` (enum, optional, nullable) — The property's class. Null for properties with no class assigned.
  - Allowed values: `Conventional`, `Affordable`, `Mixed`
- `organizationId` (string, optional)
- `id` (string, optional)
- `readableId` (string, optional)
- `idempotencyId` (string, optional)
- `createdAt` (datetime, optional)
- `updatedAt` (datetime, optional)
- `deletedAt` (datetime, optional)
- `offboardedAt` (datetime, optional)
- `countyName` (string, optional)
- `acquisitionDate` (datetime, optional)

## Examples

**Request**

```json
{
  "createdById": "string",
  "file": "<file: string>",
  "idempotencyId": "string"
}
```

**Response**

```json
{
  "url": "string",
  "id": "string",
  "householdId": "string",
  "propertyId": "string",
  "name": "string",
  "type": "string",
  "mimeType": "string",
  "notes": "string",
  "isReviewed": false,
  "readableId": "string",
  "idempotencyId": "string",
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-01-15T09:30:00Z",
  "deletedAt": "2024-01-15T09:30:00Z",
  "organizationId": "string",
  "createdByUserId": "string",
  "household": {
    "status": "APPLICANT",
    "isUnderEviction": true,
    "id": "string",
    "readableId": "string",
    "idempotencyId": "string",
    "createdAt": "2024-01-15T09:30:00Z",
    "updatedAt": "2024-01-15T09:30:00Z",
    "deletedAt": "2024-01-15T09:30:00Z",
    "currentUnitId": "string",
    "currentLeaseId": "string",
    "applicationId": "string",
    "organizationId": "string",
    "propertyId": "string",
    "currentCertificationId": "string",
    "prospectId": "string",
    "primaryCustomerId": "string",
    "totalActiveRentAmount": 1.1,
    "totalActiveSubsidyAmount": 1.1,
    "totalActiveFeesAmount": 1.1,
    "unitId": "string"
  },
  "property": {
    "name": "string",
    "shortName": "string",
    "email": "string",
    "phone": "string",
    "physicalStreetAddress1": "string",
    "physicalStreetAddress2": "string",
    "physicalCity": "string",
    "physicalState": "string",
    "physicalZip": "string",
    "physicalCountry": "string",
    "mailingStreetAddress1": "string",
    "mailingStreetAddress2": "string",
    "mailingCity": "string",
    "mailingState": "string",
    "mailingZip": "string",
    "mailingCountry": "string",
    "phoneNumber": "string",
    "faxNumber": "string",
    "timezone": "string",
    "longitude": 1.1,
    "latitude": 1.1,
    "turnMoveOutDays": 1,
    "status": "ACTIVE",
    "propertyClass": "Conventional",
    "organizationId": "string",
    "id": "string",
    "readableId": "string",
    "idempotencyId": "string",
    "createdAt": "2024-01-15T09:30:00Z",
    "updatedAt": "2024-01-15T09:30:00Z",
    "deletedAt": "2024-01-15T09:30:00Z",
    "offboardedAt": "2024-01-15T09:30:00Z",
    "countyName": "string",
    "acquisitionDate": "2024-01-15T09:30:00Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.fortresstech.io/v1/households/householdId/documents"

files = { "file": "open('string', 'rb')" }
payload = {
    "createdById": "string",
    "documentType": ,
    "idempotencyId": "string",
    "name": 
}
headers = {"x-api-key": "<apiKey>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.fortresstech.io/v1/households/householdId/documents';
const form = new FormData();
form.append('createdById', 'string');
form.append('documentType', '');
form.append('file', 'string');
form.append('idempotencyId', 'string');
form.append('name', '');

const options = {method: 'POST', headers: {'x-api-key': '<apiKey>'}};

options.body = form;

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.fortresstech.io/v1/households/householdId/documents"

	payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"createdById\"\r\n\r\nstring\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"documentType\"\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"idempotencyId\"\r\n\r\nstring\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"name\"\r\n\r\n\r\n-----011000010111000001101001--\r\n")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.fortresstech.io/v1/households/householdId/documents")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"createdById\"\r\n\r\nstring\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"documentType\"\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"idempotencyId\"\r\n\r\nstring\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"name\"\r\n\r\n\r\n-----011000010111000001101001--\r\n"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.fortresstech.io/v1/households/householdId/documents")
  .header("x-api-key", "<apiKey>")
  .body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"createdById\"\r\n\r\nstring\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"documentType\"\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"idempotencyId\"\r\n\r\nstring\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"name\"\r\n\r\n\r\n-----011000010111000001101001--\r\n")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.fortresstech.io/v1/households/householdId/documents', [
  'multipart' => [
    [
        'name' => 'createdById',
        'contents' => 'string'
    ],
    [
        'name' => 'file',
        'filename' => 'string',
        'contents' => null
    ],
    [
        'name' => 'idempotencyId',
        'contents' => 'string'
    ]
  ]
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.fortresstech.io/v1/households/householdId/documents");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddParameter("undefined", "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"createdById\"\r\n\r\nstring\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"documentType\"\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"string\"\r\nContent-Type: application/octet-stream\r\n\r\n\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"idempotencyId\"\r\n\r\nstring\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"name\"\r\n\r\n\r\n-----011000010111000001101001--\r\n", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]
let parameters = [
  [
    "name": "createdById",
    "value": "string"
  ],
  [
    "name": "documentType",
    "value": 
  ],
  [
    "name": "file",
    "fileName": "string"
  ],
  [
    "name": "idempotencyId",
    "value": "string"
  ],
  [
    "name": "name",
    "value": 
  ]
]

let boundary = "---011000010111000001101001"

var body = ""
var error: NSError? = nil
for param in parameters {
  let paramName = param["name"]!
  body += "--\(boundary)\r\n"
  body += "Content-Disposition:form-data; name=\"\(paramName)\""
  if let filename = param["fileName"] {
    let contentType = param["content-type"]!
    let fileContent = String(contentsOfFile: filename, encoding: String.Encoding.utf8)
    if (error != nil) {
      print(error as Any)
    }
    body += "; filename=\"\(filename)\"\r\n"
    body += "Content-Type: \(contentType)\r\n\r\n"
    body += fileContent
  } else if let paramValue = param["value"] {
    body += "\r\n\r\n\(paramValue)"
  }
}

let request = NSMutableURLRequest(url: NSURL(string: "https://api.fortresstech.io/v1/households/householdId/documents")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```